Subject: RE: Proposal to fix NSEC

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Sun, 23 May 2004 13:38:14 -0700

> First, to mention something that is in no way Alex's fault, I 
> have to say
> that I find the use of the term "stakeholder" makes my teeth hurt.
> Different individuals have different interests, and lumping 
> them together
> such that "regulatory powers with guns", "captive customers", and
> "end users" are all in the same bucket just makes no sense to me.

How else can we address deployment other than by looking at the
people who might deploy but have refused to and asking them why
they did not?

I agree that it would be much better to address the fact that there 
are many stakeholders and that their interests may conflict. But
your argument seems to be that because there might be some
stakeholders that are not represented that they should all be ignored.

>  We also need to recognize
> that the DNS is used in many jurisdictions for many different 
> purposes.

The many jurisdicitions argument does not mean that we should ignore
all of them. In practice the type of legislation that has an 
effect on engineering work tends to be remarkably consistent
across jurisdictions.

> At this very late stage, taking in a last minute change to this set of
> specs both doesn't serve the long-unslaked thirst for deployment
> and would appear (note that verb, please) to privilege one set of
> interests after long discussion had come to other conclusions.

Nobody has yet stated an opposed interest here, there has been a
lot of 'protect the spec from change at all costs' and some
'lets force people to accept our security ideology' but no
real assertion of a valid opposition.

Having watched the previous discussions I did not see any real
debate over opposed interests then either. In fact all I have seen
for five years is the argument, 'we cannot fix the spec to make
it deployable, it will be deployed so very soon'.

> Put bluntly, we're at the "find technical errors stage", not 
> the design
> stage.  The behavior folks are trying to adjust is a known element of
> the design and has been for a long time.  It is not a technical error
> and a last minute attempt to adjust it doesn't make sense.

If this argument wins I predict that we will be debating the same 
exact argument in three years time.

I don't think the merits of this issue have ever been debated, 
I think we got fobbed off with the same agenda denial tactics
three and five years ago. Then we had some fillibustering to
make real sure that some people got their way even if the 
majority disagreed.

I suggest that the way forward here is for a small group to 
design an NXT that works, that we submit it as experimental 
and we let the market decide who is right.

The only reason the market is going to make a choice for 
experimental over an approved standard is if there is a 
genuine issue with the approved version.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Alex Bligh <[email-masked]>
Date: Sun, 23 May 2004 21:59:44 +0100

> people who might deploy but have refused to and asking them why

To be fair I was talking about Nominet's stakeholders. And for various
reasons, mostly internal but given the issue was a surprise to certain
other ccTLDs too not entirely, we (Nominet) were perhaps less involved in
this process earlier on than we might have been - which we are now seeking
to correct: not by whinging from the sidelines, but by contributing.

Alex